List vulnerability findings
GET
/api/v1/vulnerabilities/{env}/findings
const url = 'https://example.com/api/v1/vulnerabilities/example/findings';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/vulnerabilities/example/findings \ --header 'Authorization: <Authorization>'Open findings in an environment by default. Filters: severity, confidence, kev, state (open|resolved|all), package, advisory, page, page_size.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
Query Parameters
Section titled “Query Parameters”severity
string
Critical|high|medium|low|unknown
confidence
string
Confirmed|possible
kev
boolean
Only CISA KEV findings
state
string
Open|resolved|all
package
string
Package name
advisory
string
Advisory id
page
integer
Page (1-based)
page_size
integer
Page size (max 500)
Responses
Section titled “Responses”OK
Media typeapplication/json
object
findings
Array<object>
object
advisory_id
string
confidence
string
ecosystem
string
environment_id
integer
first_seen
string
fixed_version
string
id
integer
installed_version
string
kev
boolean
last_seen
string
node_uuid
string
package
string
resolved_at
string
severity
string
page
integer
total
integer
Examplegenerated
{ "findings": [ { "advisory_id": "example", "confidence": "example", "ecosystem": "example", "environment_id": 1, "first_seen": "example", "fixed_version": "example", "id": 1, "installed_version": "example", "kev": true, "last_seen": "example", "node_uuid": "example", "package": "example", "resolved_at": "example", "severity": "example" } ], "page": 1, "total": 1}Bad Request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service Unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}